Package com.xebialabs.xlrelease.domain

# Class Comment

java.lang.Object
com.xebialabs.deployit.plugin.api.udm.base.BaseConfigurationItem
com.xebialabs.xlrelease.domain.Comment

All Implemented Interfaces:
  `ConfigurationItem`, `Serializable`, `Comparable<BaseConfigurationItem>`

@Metadata(versioned=false) public class Comment extends BaseConfigurationItem

See Also:
  - Serialized Form

- ## Field Summary

  ### Fields inherited from class com.xebialabs.deployit.plugin.api.udm.base.BaseConfigurationItem

  `id, syntheticProperties, type`

  ### Fields inherited from interface com.xebialabs.deployit.plugin.api.udm.ConfigurationItem

  `SYNTHETIC_PROPERTIES_FIELD, TYPE_FIELD`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Comment()`
  `Comment(String id, String text, String author, Date date)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getAuthor()`
  `Date`
  `getCreationDate()`
  `Date`
  `getDate()`
  `String`
  `getText()`
  `void`
  `setAuthor(String author)`
  `void`
  `setCreationDate(Date creationDate)`
  `void`
  `setDate(Date date)`
  `void`
  `setText(String text)`

  ### Methods inherited from class com.xebialabs.deployit.plugin.api.udm.base.BaseConfigurationItem

  `compareTo, equals, get$ciAttributes, get$directoryReference, get$externalProperties, get$internalId, get$referenceId, get$securedCi, get$securedDirectoryReference, get$token, get$validationMessages, getId, getName, getProperty, getPropertyDescriptor, getType, hashCode, hasProperty, set$ciAttributes, set$directoryReference, set$externalProperties, set$internalId, set$referenceId, set$securedCi, set$securedDirectoryReference, set$token, set$validationMessages, setId, setProperty, setType, toString`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### Comment

    public Comment()

  - ### Comment

    public Comment(String id, String text, String author, Date date)

- ## Method Details

  - ### getText

    public String getText()

  - ### getAuthor

    public String getAuthor()

  - ### setAuthor

    public void setAuthor(String author)

  - ### setText

    public void setText(String text)

  - ### getDate

    public Date getDate()

  - ### setDate

    public void setDate(Date date)

  - ### getCreationDate

    public Date getCreationDate()

  - ### setCreationDate

    public void setCreationDate(Date creationDate)